Gestiono
Referencia de APIAccounting / Pending Record

Create Pending Record by pendingrecordid share email

← Back to full API reference
POST/v1/record/pending/:pendingRecordId/share/emailAuth required

A pending record refers to documents (invoice, quote, order, loan) that can later be linked to records such as payments, credits, and accounting movements.

Request details

Path params

FieldRequiredDescription
pendingRecordIdYesRequired path parameter.

Body fields

FieldRequiredDescription
noteYesInferred from req.body.note
customOrganizationNameYesInferred from req.body.customOrganizationName
emailsYesInferred from req.body.emails
emailYesInferred from req.body.email

Default payloads

Path params

json
{
  "pendingRecordId": 1
}

Query

json
{}

Body

json
{
  "note": "string",
  "customOrganizationName": "string",
  "emails": "string",
  "email": "string"
}

Sample response

json
{
  "success": true,
  "message": "<value>",
  "emailsSent": "<emailsToSend>"
}